1Answer

I am trying to enable opCache on my server (ubuntu 12.04 LTS, running apache 2.4.7 with PHP Version 5.5.10-1+deb.sury.org~precise+1).

Before starting to do anything, I read this highly relevant post which told me that opCache is disabled by default and I have to manually enable it.

I went into php.ini and found that there is no text with opcache.so, also everything related to opcache is commented out. Like this:

[opcache]
; Determines if Zend OPCache is enabled
;opcache.enable=0

; Determines if Zend OPCache is enabled for the CLI version of PHP
;opcache.enable_cli=0

This is ok, because the person told that it is disabled. But when I consult phpinfo(); it shows me the following (and based on my understanding it tells me that opCache is already used).

enter image description here

So is my opcache enabled and used and how can I see/verify it?

Answer

Have faith in your phpinfo(), you've got the necessary shared module running or it wouldn't be showing up.

Also, your opcache is indeed enabled, but only for web, not cli. The default for the library is enabled for web so , to disable uncomment the line starting with a semicolon like this:

 opcache.enable=0 

As noted, for command line php use, the default is disabled, to enable it, uncomment and set to 1

 opcache.enable_cli=1

Here is a list of all runtime arguments and there default value for further reference: http://www.php.net/manual/en/opcache.configuration.php

UPDATE: As of 2020, this library may be no longer maintained, see comments below for other possible options.

If you want a cool web monitor page for it (like apc.php does for apc) try this: https://github.com/rlerdorf/opcache-status

  • 39
Reply Report
      • 2
    • Cool, thanks. Apparently I do have to trust phpinfo more than highly upvoted answers. Thanks for confirming this.
    • @SalvadorDali The other post you're referring to regarding whether the extension's share library is present and loaded. I think it would be clear to state, the shared module might not be set to load by default php 5.5 build, but this does not mean it's 'disabled', it's not even loaded. Clearly your setup has the shared library for module enabled. Once the module is enabled, you use the config settings I not to turn on and off specific functionality and enable/disable particular features.

Warm tip !!!

This article is reproduced from Stack Exchange / Stack Overflow, please click

Trending Tags

Related Questions